Bug 1672984 - mock --buildsrpm requires --sources when there are zero sources in the spec file
Summary: mock --buildsrpm requires --sources when there are zero sources in the spec file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mock
Version: 31
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Silvie Chlupova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-06 11:57 UTC by Michal Šrejber
Modified: 2020-05-05 07:17 UTC (History)
7 users (show)

Fixed In Version: mock-2.0-2.fc30 mock-2.0-2.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-20 04:45:53 UTC
Type: Bug


Attachments (Terms of Use)

Description Michal Šrejber 2019-02-06 11:57:33 UTC
Description of problem:
mock --buildsrpm always wants --sources, even when the spec file does not have any

Version-Release number: 1.4.13

How reproducible:
always

Steps to Reproduce:
1. Create foo.spec without sources
2. Try to build source package
$ mock --buildsrpm --spec foo.spec
> You are attempting to run "mock" which requires administrative
> privileges, but more information is needed in order to do so.
> Authenticating as "root"
> Password:
> ERROR: Must specify both --spec and --sources with --buildsrpm

Actual results:
--buildsrpm --sources is mandatory

Expected results:
--buildsrpm --sources is optional

Additional info:
There are two workarounds:
1. use rpmbuild -bs foo.spec instead
2. use empty directory as source
$ mock --buildsrpm --spec foo.spec --source ./empty-dir

Comment 1 Ben Cotton 2019-08-13 17:11:04 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Ben Cotton 2019-08-13 19:35:27 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 3 Silvie Chlupova 2019-11-12 09:46:35 UTC
This bugzilla has been resolved by https://github.com/rpm-software-management/mock/pull/411.

Comment 4 Fedora Update System 2020-02-08 16:50:30 UTC
FEDORA-EPEL-2020-56dcc5ffbf has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-56dcc5ffbf

Comment 5 Fedora Update System 2020-02-08 16:51:11 UTC
FEDORA-2020-4ab9c18a6a has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-4ab9c18a6a

Comment 6 Fedora Update System 2020-02-08 16:51:24 UTC
FEDORA-2020-8c3f06d776 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-8c3f06d776

Comment 7 Fedora Update System 2020-02-09 01:20:53 UTC
mock-2.0-2.fc31, mock-core-configs-32.1-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-8c3f06d776

Comment 8 Fedora Update System 2020-02-09 01:35:56 UTC
mock-2.0-2.el8, mock-core-configs-32.1-1.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-4f9536de5b

Comment 9 Fedora Update System 2020-02-09 01:43:47 UTC
mock-2.0-2.fc30, mock-core-configs-32.1-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-4ab9c18a6a

Comment 10 Fedora Update System 2020-02-09 01:47:57 UTC
mock-2.0-2.el7, mock-core-configs-32.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-56dcc5ffbf

Comment 11 Fedora Update System 2020-02-20 04:45:53 UTC
mock-2.0-2.fc30, mock-core-configs-32.1-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2020-02-20 05:03:24 UTC
mock-2.0-2.fc31, mock-core-configs-32.1-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2020-02-20 09:23:35 UTC
FEDORA-EPEL-2020-4f9536de5b has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-4f9536de5b

Comment 14 Fedora Update System 2020-02-20 09:24:32 UTC
FEDORA-EPEL-2020-56dcc5ffbf has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-56dcc5ffbf

Comment 15 Fedora Update System 2020-02-21 01:55:02 UTC
mock-2.0-2.el8, mock-core-configs-32.2-1.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-4f9536de5b

Comment 16 Fedora Update System 2020-02-21 01:55:52 UTC
mock-2.0-2.el7, mock-core-configs-32.2-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-56dcc5ffbf

Comment 17 Fedora Update System 2020-02-21 19:45:45 UTC
FEDORA-EPEL-2020-4f9536de5b has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-4f9536de5b

Comment 18 Fedora Update System 2020-02-21 19:46:27 UTC
FEDORA-EPEL-2020-56dcc5ffbf has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-56dcc5ffbf

Comment 19 Fedora Update System 2020-02-22 01:37:37 UTC
mock-2.0-2.el7, mock-core-configs-32.3-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-56dcc5ffbf

Comment 20 Fedora Update System 2020-02-22 02:36:35 UTC
mock-2.0-2.el8, mock-core-configs-32.3-2.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-4f9536de5b

Comment 21 Fedora Update System 2020-03-11 09:40:08 UTC
FEDORA-EPEL-2020-88ef4b4d66 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-88ef4b4d66

Comment 22 Fedora Update System 2020-03-12 22:25:33 UTC
mock-2.1-1.el8, mock-core-configs-32.4-1.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-5a84e15907

Comment 23 Fedora Update System 2020-03-12 23:31:49 UTC
mock-2.1-1.el7, mock-core-configs-32.4-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-88ef4b4d66

Comment 24 Fedora Update System 2020-03-26 16:23:23 UTC
FEDORA-EPEL-2020-88ef4b4d66 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-88ef4b4d66

Comment 25 Fedora Update System 2020-03-27 08:01:47 UTC
FEDORA-EPEL-2020-5a84e15907 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-5a84e15907

Comment 26 Fedora Update System 2020-03-27 13:23:00 UTC
FEDORA-EPEL-2020-5a84e15907 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-5a84e15907

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 27 Fedora Update System 2020-03-27 13:39:51 UTC
FEDORA-EPEL-2020-88ef4b4d66 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-88ef4b4d66

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 28 Fedora Update System 2020-04-02 07:53:20 UTC
FEDORA-EPEL-2020-5a84e15907 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-5a84e15907

Comment 29 Fedora Update System 2020-04-02 07:54:40 UTC
FEDORA-EPEL-2020-88ef4b4d66 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-88ef4b4d66

Comment 30 Fedora Update System 2020-04-03 20:19:42 UTC
FEDORA-EPEL-2020-5a84e15907 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-5a84e15907

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 31 Fedora Update System 2020-04-03 21:18:11 UTC
FEDORA-EPEL-2020-88ef4b4d66 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-88ef4b4d66

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 32 Fedora Update System 2020-05-05 05:46:17 UTC
FEDORA-EPEL-2020-5a84e15907 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 33 Fedora Update System 2020-05-05 07:17:12 UTC
FEDORA-EPEL-2020-88ef4b4d66 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.